Bug 962006 - traceback when not enough disks specified in kickstart for raid level requested (we could error out more gracefully and explain to the user what they did wrong)
traceback when not enough disks specified in kickstart for raid level request...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
20
x86_64 All
unspecified Severity low
: ---
: ---
Assigned To: mulhern
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 18:45 EDT by Adam Williamson
Modified: 2015-06-23 10:37 EDT (History)
11 users (show)

See Also:
Fixed In Version: python-blivet-0.64-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-23 10:37:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback (314.89 KB, text/plain)
2013-05-10 18:48 EDT, Adam Williamson
no flags Details
anaconda.log (4.36 KB, text/plain)
2013-05-10 18:49 EDT, Adam Williamson
no flags Details
program.log (29.62 KB, text/plain)
2013-05-10 18:52 EDT, Adam Williamson
no flags Details
packaging.log (12.07 KB, text/plain)
2013-05-10 18:58 EDT, Adam Williamson
no flags Details
ifcfg.log (359 bytes, text/plain)
2013-05-10 18:58 EDT, Adam Williamson
no flags Details
syslog (110.28 KB, text/plain)
2013-05-10 18:59 EDT, Adam Williamson
no flags Details
storage.log (124.90 KB, text/plain)
2013-05-10 18:59 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2013-05-10 18:45:21 EDT
libreport considers this a dupe of 960271, but I don't think it really is: both crashes occur "in File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 789, in create raise DeviceCreateError(str(e), self.name)", but the actual errors are rather different.

This one's nice and easy to reproduce: all you have to do is run an install with the kickstart http://www.happyassassin.net/extras/btrfs_test.ks . The partitioning lines in the kickstart were derived from https://bugzilla.redhat.com/show_bug.cgi?id=799154 (I was trolling through old anaconda bug reports, and it seemed like a good idea to see if that kickstart would work with current anaconda). It fails every time for me. Tested with 19 Beta TC3 and TC4.

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 117, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 162, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 303, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 272, in execute
    self.device.create()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 789, in create
    raise DeviceCreateError(str(e), self.name)
DeviceCreateError: ('1', 'f17')
Comment 1 Adam Williamson 2013-05-10 18:48:46 EDT
Created attachment 746413 [details]
traceback
Comment 2 Adam Williamson 2013-05-10 18:49:08 EDT
Created attachment 746414 [details]
anaconda.log
Comment 3 Adam Williamson 2013-05-10 18:52:26 EDT
Created attachment 746416 [details]
program.log
Comment 4 Adam Williamson 2013-05-10 18:58:31 EDT
Created attachment 746417 [details]
packaging.log
Comment 5 Adam Williamson 2013-05-10 18:58:50 EDT
Created attachment 746418 [details]
ifcfg.log
Comment 6 Adam Williamson 2013-05-10 18:59:12 EDT
Created attachment 746419 [details]
syslog
Comment 7 Adam Williamson 2013-05-10 18:59:28 EDT
Created attachment 746420 [details]
storage.log
Comment 8 Adam Williamson 2013-05-13 13:36:23 EDT
Proposing as an FE as this kind of crasher seems like a good thing to get fixed.
Comment 9 David Lehman 2013-05-15 12:49:02 EDT
The error btrfs returns is:

 unable to create FS with metadata profile 16 (have 1 devices)

IOW you can't have metadata profile of raid1 if you have only one member device.
Comment 10 Adam Williamson 2013-05-15 13:10:08 EDT
Ah - so:

btrfs none --data=0 --metadata=1 --label=f17 btrfs.01

makes this an invalid configuration? My bad, I missed what that '--metadata' meant. Does that make this notabug, or would you expect some more graceful kind of failure?
Comment 11 Adam Williamson 2013-05-15 19:31:34 EDT
Discussed at 2013-05-15 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-05-15/f19beta-blocker-review-6.2013-05-15-16.02.html . This was accepted as a freeze exception issue, but I'll delay applying that status as it seems the error may be more a nonsense kickstart than anything.
Comment 12 David Lehman 2013-05-20 13:20:12 EDT
It would be better if we showed an error message instead of a traceback, but I think it's still a fatal error.
Comment 13 Adam Williamson 2013-05-20 13:27:07 EDT
dlehman says ideally we could improve this to provide more useful feedback to the user, so leaving it open, but moving to rawhide and dropping FE status to reflect the lack of urgency.
Comment 14 Fedora End Of Life 2013-09-16 12:41:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 15 Fedora End Of Life 2015-05-29 05:03:27 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 mulhern 2015-06-23 10:37:39 EDT
See commits for bz#1019685.

Note You need to log in before you can comment on or make changes to this bug.